searchData={"content_type":"text/markdown","items":[{"doc":"Phoenix LiveView attribute helpers.","ref":"FlintUI.API.Attribute.html","title":"FlintUI.API.Attribute","type":"module"},{"doc":"Tries to convert an user input value to a boolean value\nand returns a default value if the conversion fails.","ref":"FlintUI.API.Attribute.html#as_boolean/2","title":"FlintUI.API.Attribute.as_boolean/2","type":"function"},{"doc":"Tries to convert an user input value value to an integer value\nand returns a default value if the conversion fails.","ref":"FlintUI.API.Attribute.html#as_integer/2","title":"FlintUI.API.Attribute.as_integer/2","type":"function"},{"doc":"Defines a class attribute for the component trying to\nfetch the default value from the theme if no default value\nis provided.","ref":"FlintUI.API.Attribute.html#color/1","title":"FlintUI.API.Attribute.color/1","type":"macro"},{"doc":"Defines a radius attribute for the component trying to\nfetch the default value and values list from the theme\nif no values are provided for those.","ref":"FlintUI.API.Attribute.html#radius/1","title":"FlintUI.API.Attribute.radius/1","type":"macro"},{"doc":"Defines a size attribute for the component trying to\nfetch the default value and values list from the theme\nif no values are provided for those.","ref":"FlintUI.API.Attribute.html#size/1","title":"FlintUI.API.Attribute.size/1","type":"macro"},{"doc":"CSS class helpers.","ref":"FlintUI.API.Classes.html","title":"FlintUI.API.Classes","type":"module"},{"doc":"Builds a class string, concatenates a class string, out of a list of:\n* Strings;\n* Atoms;\n* Keyword lists or maps where the keys are the CSS class and the\nvalues are treated as booleans for conditional inclusion of the class.\n\nAll `nil`, `false` and duplicated values are filtered out.","ref":"FlintUI.API.Classes.html#cx/1","title":"FlintUI.API.Classes.cx/1","type":"function"},{"doc":"iex> cx([\"foo\", \"bar\"])\n    \"foo bar\"\n\n    iex> cx([foo: false, bar: true])\n    \"bar\"\n\n    iex> cx([[a: true, b: false], [c: false, d: true]])\n    \"a d\"\n\n    iex> cx([\"one\", :two])\n    \"one two\"\n\n    iex> cx(yes: true, no: false)\n    \"yes\"\n\n    iex> cx(%{\"a\" => true, b: false})\n    \"a\"\n\n    iex> cx(t: \"I'm truthy\", f: nil)\n    \"t\"\n\n    iex> cx([[[nil, false, \"hello\", :world]]])\n    \"hello world\"","ref":"FlintUI.API.Classes.html#cx/1-examples","title":"Examples - FlintUI.API.Classes.cx/1","type":"function"},{"doc":"","ref":"FlintUI.Component.html","title":"FlintUI.Component","type":"module"},{"doc":"Converts a component name atom to a string.","ref":"FlintUI.Component.html#humanize_component_name/1","title":"FlintUI.Component.humanize_component_name/1","type":"function"},{"doc":"iex> FlintUI.Component.humanize_component_name(:badge)\n      \"Badge\"\n      iex> FlintUI.Component.humanize_component_name(:badge_button)\n      \"Badge Button\"","ref":"FlintUI.Component.html#humanize_component_name/1-example","title":"Example: - FlintUI.Component.humanize_component_name/1","type":"function"},{"doc":"Converts a module name to space separated atom.\nGets the last part of the module name, converts it to\nsnake case and then to atom.","ref":"FlintUI.Component.html#module_to_component_name/1","title":"FlintUI.Component.module_to_component_name/1","type":"function"},{"doc":"iex> FlintUI.Component.module_to_component_name(FlintUI.Badge)\n      :badge\n      iex> FlintUI.Component.module_to_component_name(FlintUI.BadgeButton)\n      :badge_button","ref":"FlintUI.Component.html#module_to_component_name/1-example","title":"Example: - FlintUI.Component.module_to_component_name/1","type":"function"},{"doc":"Converts a string to a component name atom.","ref":"FlintUI.Component.html#string_to_component_name/1","title":"FlintUI.Component.string_to_component_name/1","type":"function"},{"doc":"iex> FlintUI.Component.string_to_component_name(\"Badge\")\n      :badge\n      iex> FlintUI.Component.string_to_component_name(\"Badge Button\")\n      :badge_button","ref":"FlintUI.Component.html#string_to_component_name/1-example","title":"Example: - FlintUI.Component.string_to_component_name/1","type":"function"},{"doc":"","ref":"FlintUI.Icon.html","title":"FlintUI.Icon","type":"module"},{"doc":"Theme and helpers.","ref":"FlintUI.Theme.html","title":"FlintUI.Theme","type":"module"},{"doc":"","ref":"FlintUI.Theme.html#get_in_theme/2","title":"FlintUI.Theme.get_in_theme/2","type":"function"},{"doc":"Returns the theme component by name (e.g. `:badge`).\nIf the component is not found, it returns nil.","ref":"FlintUI.Theme.html#get_theme_component/1","title":"FlintUI.Theme.get_theme_component/1","type":"function"},{"doc":"Returns the list of the theme radius variants.","ref":"FlintUI.Theme.html#radius_variants/0","title":"FlintUI.Theme.radius_variants/0","type":"function"},{"doc":"","ref":"FlintUI.Theme.html#radius_variants/1","title":"FlintUI.Theme.radius_variants/1","type":"function"},{"doc":"","ref":"FlintUI.Theme.html#semantic_colors/0","title":"FlintUI.Theme.semantic_colors/0","type":"function"},{"doc":"","ref":"FlintUI.Theme.html#shade_colors/0","title":"FlintUI.Theme.shade_colors/0","type":"function"},{"doc":"Returns the list of the theme size variants (e.g. for\nwidth, height, radius, etc).","ref":"FlintUI.Theme.html#size_variants/0","title":"FlintUI.Theme.size_variants/0","type":"function"},{"doc":"","ref":"FlintUI.Theme.html#size_variants/1","title":"FlintUI.Theme.size_variants/1","type":"function"},{"doc":"","ref":"FlintUI.Theme.html#theme/0","title":"FlintUI.Theme.theme/0","type":"function"},{"doc":"","ref":"FlintUI.Theme.html#theme/1","title":"FlintUI.Theme.theme/1","type":"function"},{"doc":"","ref":"FlintUI.Theme.html#user_config/0","title":"FlintUI.Theme.user_config/0","type":"function"},{"doc":"Theme defaults.","ref":"FlintUI.Theme.Default.html","title":"FlintUI.Theme.Default","type":"module"},{"doc":"","ref":"FlintUI.Theme.Default.html#radius/0","title":"FlintUI.Theme.Default.radius/0","type":"function"},{"doc":"","ref":"FlintUI.Theme.Default.html#semantic_colors/0","title":"FlintUI.Theme.Default.semantic_colors/0","type":"function"},{"doc":"","ref":"FlintUI.Theme.Default.html#shade_colors/0","title":"FlintUI.Theme.Default.shade_colors/0","type":"function"},{"doc":"","ref":"FlintUI.Theme.Default.html#size_variants/0","title":"FlintUI.Theme.Default.size_variants/0","type":"function"},{"doc":"","ref":"FlintUI.Theme.Default.html#values/0","title":"FlintUI.Theme.Default.values/0","type":"function"},{"doc":"Simple `FastGlobal` based memoization module to cache function results.","ref":"Memoize.html","title":"Memoize","type":"module"},{"doc":"","ref":"Memoize.html#get/1","title":"Memoize.get/1","type":"function"},{"doc":"","ref":"Memoize.html#put/2","title":"Memoize.put/2","type":"function"},{"doc":"Resolves the given key using the given resolver function.\n\nIf the key is not found in the cache, the resolver function is called\nand the result is stored in the cache.\nIf the key is found in the cache, the cached value is returned.","ref":"Memoize.html#resolve/2","title":"Memoize.resolve/2","type":"function"},{"doc":"defmodule MyModule do\n      def my_function(arg1, arg2) do\n        Memoize.resolve({__MODULE__, :my_function, [arg1, arg2]}, fn ->\n          # Do some expensive computation here\n        end)\n      end\n    end","ref":"Memoize.html#resolve/2-examples","title":"Examples - Memoize.resolve/2","type":"function"}]}